org.apache.commons.cli

## Class GnuParser

- java.lang.Object
- - org.apache.commons.cli.Parser
  - - org.apache.commons.cli.GnuParser

All Implemented Interfaces:
  CommandLineParser

Deprecated.
since 1.3, use the `DefaultParser` instead

    @Deprecated
    public class GnuParser
    extends Parser

The class GnuParser provides an implementation of the `flatten` method.

Version:
  $Id: GnuParser.java 1445352 2013-02-12 20:48:19Z tn $

### Field Summary

### Fields inherited from class org.apache.commons.cli.Parser

`cmd`

### Constructor Summary

Constructors
Constructor and Description
`GnuParser()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected String[]` `flatten(Options options, String[] arguments, boolean stopAtNonOption)` Deprecated. This flatten method does so using the following rules: If an `Option` exists for the first character of the `arguments` entry AND an `Option` does not exist for the whole `argument` then add the first character as an option to the processed tokens list e.g.

### Methods inherited from class org.apache.commons.cli.Parser

`checkRequiredOptions, getOptions, getRequiredOptions, parse, parse, parse, parse, processArgs, processOption, processProperties, setOptions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GnuParser

    public GnuParser()

Deprecated.

### Method Detail

#### flatten

    protected String[] flatten(Options options,
                               String[] arguments,
                               boolean stopAtNonOption)

Deprecated.
This flatten method does so using the following rules:

1. If an `Option` exists for the first character of the `arguments` entry AND an `Option` does not exist for the whole `argument` then add the first character as an option to the processed tokens list e.g. "-D" and add the rest of the entry to the also.
2. Otherwise just add the token to the processed tokens list.

Specified by:
  `flatten` in class `Parser`
Parameters:
  `options` - The Options to parse the arguments by.
  `arguments` - The arguments that have to be flattened.
  `stopAtNonOption` - specifies whether to stop flattening when a non option has been encountered
Returns:
  a String array of the flattened arguments